Crypto++

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Typedefs
safer.h File Reference
`#include "seckey.h"`
`#include "secblock.h"`

Go to the source code of this file.

## Classes

class | SAFER
| base class, do not use directly More...
class | SAFER::Base
class | SAFER::Enc
class | SAFER::Dec
class | SAFER_Impl< BASE, INFO, STR >
struct | SAFER_K_Info
| _ More...
class | SAFER_K
| SAFER-K More...
struct | SAFER_SK_Info
| _ More...
class | SAFER_SK
| SAFER-SK More...

## Typedefs

typedef SAFER_K::Encryption | SAFER_K_Encryption
typedef SAFER_K::Decryption | SAFER_K_Decryption
typedef SAFER_SK::Encryption | SAFER_SK_Encryption
typedef SAFER_SK::Decryption | SAFER_SK_Decryption

## Detailed Description

Definition in file safer.h.